> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loadforge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> List files for the current team (ordered by name)

Retrieve all team files (CSV, JSON, TXT), ordered by `name`.


## OpenAPI

````yaml GET /files
openapi: 3.1.0
info:
  title: LoadForge API
  description: >-
    The LoadForge API provides programmatic access to create, manage, and run
    load tests on your web applications
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://app.loadforge.com/api/v2
security:
  - bearerAuth: []
paths:
  /files:
    get:
      description: List files for the current team (ordered by name)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TeamFile'
        '400':
          description: Validation or logical error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Insufficient scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: Forbidden
components:
  schemas:
    TeamFile:
      type: object
      properties:
        id:
          type: integer
        team_id:
          type: integer
        name:
          type: string
          description: Must end with .csv, .json, or .txt
        filename:
          type: string
          description: Internal stored filename
        path:
          type: string
          description: S3 key
        size:
          type: integer
          description: Size in bytes
        mime_type:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````